!!ARBfp1.0

ATTRIB iColor = fragment.color.primary;
ATTRIB iCoord = fragment.texcoord;

PARAM toondesc = program.local[0]; # x: quality;

OUTPUT oColor = result.color;

#---------#
# Program #
#---------#

# mix texture & primary color
TEMP samp;
TXP samp, iCoord, texture, 2D;
TEMP out;
MUL out, samp, iColor;

# fit color to quality scale
TEMP src;
MOV src, out;
TEMP quality, quality_div;
MOV quality, toondesc.x;
RCP quality_div, quality.a;
MUL out, src, quality;
ADD out, out, -0.5;
FLR out, out;
ADD out, out, 1.0;
MUL out, out, quality_div;
MIN out, out, 1.0;

# set output
MOV oColor, out;

END