!!ARBfp1.0

ATTRIB iColor = fragment.color.primary;
ATTRIB iCoord = fragment.texcoord;


PARAM holodesc = program.local[0]; # x: stripes count; y: russtle scale;
PARAM holocolor = program.local[1]; # color;

OUTPUT oColor = result.color;

#---------#
# Program #
#---------#

TEMP pi;
MOV pi, 3.1415926535897932384626433832795;

# stripes rustle
TEMP rust;
MUL rust, iCoord.y, holodesc.x;
MUL rust, rust.x, pi.x;
SIN rust, rust.x;
MUL rust, rust, holodesc.y;
TEMP coord;
MOV coord, 0.0;
MOV coord.x, rust.x;
ADD coord, iCoord, coord;

# mix texture & primary color
TEMP samp;
TXP samp, coord, texture, 2D;

# stripes alpha
TEMP out;
MUL out, samp, iColor;
MUL out, out, holocolor;
TEMP phase;
MUL phase, coord.y, holodesc.x;
MUL phase, phase, pi;
SIN phase, phase.x;
ABS phase, phase;
MUL out.a, out.a, phase.x;

# set output
MOV oColor, out;

END